How to keep Wordpress installation in Plesk secure?

Created:

2016-12-12 03:45:16 UTC

Modified:

2017-08-08 13:42:20 UTC

0

Was this article helpful?


Have more questions?

Submit a request

How to keep Wordpress installation in Plesk secure?

Applicable to:

  • Plesk 12.5 for Linux

Question

How to keep Wordpress installation in Plesk secure?

Answer

The latest Wordpress version which contains the latest security updates is available for installation in Plesk. Wordpress update changelogs are available on the official Wordpress website: https://wordpress.org/

To improve Wordpress security, Wordpress Toolkit can be used. Information about securing Wordpress via Wordpress Toolkit is available through the link .

Additionally, Patchman Extension can be installed. Patchman automatically and safely patches vulnerabilities in content management systems (CMS) like WordPress, Joomla and Drupal. Patchman extension is available for installation in Plesk > Extensions > Extension Catalog .

It is not recommended to install and use plugins and themes. Wordpress plugins and themes are designed by 3rd party developers and can have security vulnerabilities.

Have more questions? Submit a request
Please sign in to leave a comment.